package com.bonus.canteen.core.pay.common.dto;

import java.time.LocalDate;

public class BillDateQueryDTO {
   public LocalDate date;
   private Integer payChannel;
   private Long canteenId;

   public LocalDate getDate() {
      return this.date;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setDate(final LocalDate date) {
      this.date = date;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public BillDateQueryDTO() {
   }

   public BillDateQueryDTO(final LocalDate date, final Integer payChannel, final Long canteenId) {
      this.date = date;
      this.payChannel = payChannel;
      this.canteenId = canteenId;
   }
}
